//-------------------------------------------------------------------------------------
//--  MSN Setup Script (setup1.mss)  Retail  Version  	TR 359  13 December 1997 BRD
//--  $Header: $
//-------------------------------------------------------------------------------------

SET 	appname="MSN Setup CD"  source_url="http://setup.msn.com"

RUN-SCRIPT  name="pre.mss"

//-- list of component files (Note: compid's must be unique) --------------
//--   Note: use squotes around params containing double-quote chars ------
//
//-- begin TYPICAL INSTALL components

FILE-COMPONENT	compid=2300   name=IE4Inst\ie4setup.exe  descrip="Microsoft Internet Explorer 4.01" clsid=0002DF01-0000-0000-C000-000000000046 compsize=26000000  fullsize=47038444 version=4.72.2106.4 flags='/q:a /c:"ie4wzd.exe /Q /R:n /M:0 /I:n /S:""#e""" '
FILE-COMPONENT	compid=2049   name=cabinst.exe descrip="Microsoft Outlook Express"                  clsid=8f0c5675-aeef-11d0-84f0-00c04fd43f8f compsize=1456984 fullsize=3452543 version=4.71.1712.0 flags='cabfile="IE4Inst\mailnews.cab" command="msimn.inf,DefaultInstall,5"'
FILE-COMPONENT	compid=2050   name=IE4Inst\r32msie4.exe descrip="Progressive Networks RealPlayer" clsid=CFCDAA03-8BE4-11CF-B84B-0020AFBBCCFA compsize=1223088 fullsize=1300000 version=4.0.20.126 flags=''
FILE-COMPONENT	compid=2309   name=mspwlupd.exe descrip="Windows 95 Password Caching Update"    clsid=00000000-0000-0000-0000-000000000000 compsize=319200 fullsize=450000 version=4.0.0.952 flags='/r:n /Q' reboot=no
FILE-COMPONENT	compid=2010   name=mcdpkgtm.exe descrip="MSN Multicast Detection"       clsid=0 compsize=179040 fullsize=117651 version=2.5.0.38 flags="/R:n /Q" reboot=no
FILE-COMPONENT	compid=2002   name=cabinst.exe descrip="Microsoft Chat 2.0"      clsid=241AF500-8FB6-11CF-ADC5-00AA00BADF6F compsize=875227 fullsize=4305166 version=4.71.0701.3  flags='cabfile="IE4Inst\mschat2.cab" command="cchat2.inf,DefaultInstall,5"'
FILE-COMPONENT	compid=2015   name=cabinst.exe  descrip="MS Internet Connection Wizard"      clsid=8EE42293-C315-11D0-8D6F-00A0C9A06E1F compsize=200939 fullsize=629995 version=4.71.465.6  flags='cabfile="icw95.cab" command="icw95.inf,DefaultInstall,5"'
FILE-COMPONENT	compid=2007   name=msnsvc.exe   descrip="MSN Dialer && Connection Manager"       clsid=0 compsize=593024 fullsize=1090679 version=6.0.48.0    flags="/r:n /Q"
FILE-COMPONENT	compid=2008   name=controls.exe descrip="MSN Controls"       clsid=8F0F5093-0A70-11d0-BCA9-00C04FD85AA6 compsize=848736 fullsize=1352663 version=4.71.0.8 flags='/r:n /Q' reboot=no
FILE-COMPONENT	compid=2012   name=swinst5.exe  descrip="Macromedia Shockwave for Director 5" clsid=166B1BCA-3F9C-11CF-8075-444553540000 compsize=1018208 fullsize=1764694 version=5.0.1.61 flags='/r:n /Q' reboot=no
FILE-COMPONENT	compid=2014   name=voxplay.exe  descrip="Voxware VoxPlay Audio Player"       clsid=1C922444-125F-11D0-8006-00A024514E76  compsize=1223520  fullsize=2189243 version=2.5.13.39 flags='/r:n /Q' reboot=no
FILE-COMPONENT	compid=2420   name=CoreUI.exe   descrip="MSN Program Viewer"            clsid=0 compsize=769376 fullsize=2257315 version=2.5.0.119 flags="/R:n /Q" reboot=no


//-- begin COMPLETE INSTALL components

FILE-COMPONENT	compid=3012   name=cabinst.exe descrip="Microsoft Netshow"          clsid=2179C5D3-EBFF-11CF-B6FD-00AA00B4E220  compsize=1545651 fullsize=7536640 version=2.0.0.912 flags='cabfile="IE4Inst\nsie4.cab" command="nsplayer.inf,DefaultInstall,5"'
FILE-COMPONENT	compid=3010   name=optional.exe descrip="MSN Show Controls"   		clsid=3C33A091-7A4B-11D0-AF0E-00A0C90C2B47 compsize=637280 fullsize=1272365   version=2.5.5.5 flags='/r:n /Q' reboot=no
FILE-COMPONENT	compid=3011   name=chatshow.exe descrip="Motorsite CarTalk Chat"    clsid=08B80766-2210-11D0-A6C9-00C04FD910B9 compsize=484744 fullsize=838856 version=1.1.0.5         flags="/r:n /Q"     	  

//-- startup UI for setup program
STARTUP-ONE

//-- install all components that are required ---
INSTALL-COMPONENTS

//-- allow COMPLETE INSTALL components only a chance to install
//--    on a second checklist screen, but only if Complete install chosen
INSTALL-COMPONENTS

//-------------------------------------------------------------------------------------
//--  MSN CD Setup Script (setup2.mss)   // Retail version, part two of CD setup, after reboot
//-------------------------------------------------------------------------------------


//-- write version info into registry for Metro
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\SoftwareInstalled" valname="Major" value="2"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\SoftwareInstalled" valname="Minor" value="5"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Other" value="1"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Build" value="359"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Media" value="2"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Language" value="English"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Distributor" value="A1ABUFFETT"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Campaign" value="1DMQFE1291"
WRITE_REG  keyname="HKEY_LOCAL_MACHINE\software\Microsoft\MSN\softwareInstalled" valname="Other" value="1"

RUN-SCRIPT  name="post.mss"


//-- Launch MSN Program Viewer (after reboot)---
LAUNCH-COREUI



END
